//////////////////////////////////////////////////
// (c) MMIII Sven Reichard
// 

# include <PerftTest.h>
# include <Game/Game.h>
CPPUNIT_TEST_SUITE_REGISTRATION( PerftTest );

void
PerftTest::constructor()
{
  using namespace Alice;
  Game g;
  int maxDepth =  2;
  Perft perft(g, maxDepth);
  CPPUNIT_ASSERT_EQUAL( maxDepth, perft.getMaxDepth() );
  perft.search();
  CPPUNIT_ASSERT_EQUAL( 1, perft.getNodesAtDepth(0) );
  CPPUNIT_ASSERT_EQUAL( 20, perft.getNodesAtDepth(1) );
  CPPUNIT_ASSERT_EQUAL( 400, perft.getNodesAtDepth(2) );
};

